Google uses AI technology to translate content into your preferred language. AI translations can contain errors.
Method: accounts.locations.localPosts.list
透過集合功能整理內容
你可以依據偏好儲存及分類內容。
HTTP 要求
GET https://mybusiness.googleapis.com/v4/{parent=accounts/*/locations/*}/localPosts
這個網址使用 gRPC 轉碼語法。
路徑參數
| 參數 |
parent |
string
要列出當地商家貼文的地點名稱。
|
查詢參數
| 參數 |
pageSize |
integer
每頁要傳回多少則在地貼文。預設值為 20。最小值為 1,頁面大小上限為 100。
|
pageToken |
string
如已指定,則傳回下一頁的在地商家貼文。
|
回應主體
localPosts.list 的回應訊息
如果成功,回應主體會含有以下結構的資料:
| JSON 表示法 |
{
"localPosts": [
{
object (LocalPost)
}
],
"nextPageToken": string
} |
| 欄位 |
localPosts[] |
object (LocalPost)
傳回的當地貼文清單。
|
nextPageToken |
string
如果當地商家貼文數量超過要求的頁面大小,這個欄位就會填入符記,以便在後續呼叫 localPosts.list 時擷取下一頁的當地商家貼文。
|
授權範圍
需要下列其中一種 OAuth 範圍:
https://www.googleapis.com/auth/plus.business.manage
https://www.googleapis.com/auth/business.manage
詳情請參閱OAuth 2.0 Overview。
除非另有註明,否則本頁面中的內容是採用創用 CC 姓名標示 4.0 授權,程式碼範例則為阿帕契 2.0 授權。詳情請參閱《Google Developers 網站政策》。Java 是 Oracle 和/或其關聯企業的註冊商標。
上次更新時間:2026-04-15 (世界標準時間)。
[[["容易理解","easyToUnderstand","thumb-up"],["確實解決了我的問題","solvedMyProblem","thumb-up"],["其他","otherUp","thumb-up"]],[["缺少我需要的資訊","missingTheInformationINeed","thumb-down"],["過於複雜/步驟過多","tooComplicatedTooManySteps","thumb-down"],["過時","outOfDate","thumb-down"],["翻譯問題","translationIssue","thumb-down"],["示例/程式碼問題","samplesCodeIssue","thumb-down"],["其他","otherDown","thumb-down"]],["上次更新時間:2026-04-15 (世界標準時間)。"],[],["This describes how to retrieve local posts associated with a specific location. A `GET` request is sent to the specified URL, including the location in the `parent` path parameter. Optional `pageSize` and `pageToken` query parameters allow for pagination. The request body must be empty. The successful response includes an array of `localPosts` objects, and a `nextPageToken` string for retrieving further results if more are available. Access requires specific authorization scopes.\n"]]